import java.awt.*;

    // Draw a variety of shapes on a canvas.
class DrawCanvas extends Canvas {
    public void paint(Graphics g){
        Dimension size = getSize();

        final int offset = 25;
        final int shapeWidth = size.width/4;
        final int shapeHeight = size.height/4;

        // Provide extra colour contrast for the 3DRectangle.
        g.setColor(Color.black);

        // Divide the frame into four.
        int y = size.height/2;
        g.drawLine(0,y,size.width,y);
        int x = size.width/2;
        g.drawLine(x,0,x,size.height);

        // Draw a rectangle in the top-left quadrant.
        g.drawRect(offset,offset,shapeWidth,shapeHeight);
        // Draw a 3d rectangle in the top-right quadrant.
        g.draw3DRect(size.width/2+offset,offset,shapeWidth,shapeHeight,true);
        // Draw a 135 degree arc, counter-clockwise, in the third quadrant.
        final int startAngle = 0, angle = 135;
        g.drawArc(offset,size.height/2+offset,
                        shapeWidth,shapeHeight,startAngle,angle);
        // Draw a round-cornered rectangle in the fourth quadrant.
        // The roundness of the corners.
        final int roundDiameter = 10;
        // Draw a 3d rectangle in the top-right quadrant.
        g.drawRoundRect(size.width/2+offset,size.height/2+offset,
                        shapeWidth,shapeHeight,roundDiameter,roundDiameter);
    }

}
