import java.awt.*;

    // Maintain the attributes of a moving arc.
    // The increment per step (and hence its direction)
    // is set at construction.
class MovingArc {
    public MovingArc(int inc){
        increment = inc;
    }

        // Move to the next position.
    public void step(){
        setAngle(getAngle()+getIncrement());
    }

    public int getWidth(){
        return arcWidth;
    }

    public int getAngle(){
        return angle;
    }

    protected void setAngle(int a){
        if(a <= fullCircle){
            angle = a;
        }
        else{
            // Time to restart.
            angle = startAngle;
        }
    }

    protected int getIncrement(){
        return increment;
    }

    private final int increment;
    // Always start at the 3 o'clock position.
    private final int startAngle = 0;
    private final int fullCircle = startAngle+360;
    private int angle = startAngle;
    private final int arcWidth = 6;
}
