import java.awt.*;
import javax.swing.*;

        // Display the individual RGB components of a color.
public class ColorDisplay extends JFrame {
    public ColorDisplay(){
        final int width = 200, height = 200;
        setSize(width,height);
        addWindowListener(new WindowCloser());

        final Container contents = getContentPane();
        contents.add(getDisplay(),"Center");
        contents.add(new QuitJPanel(),"South");

        changeColor(0,0,0);
        setVisible(true);
    }

    public void changeColor(int red, int green, int blue){
        delay();
        Color c = new Color(red,green,blue);
        getRGB().setText("R="+red+" G="+green+" B="+blue);
        getDisplay().setBackground(c);
    }

    public void setDelay(int d){
        if(d > 0){
            delay = d;
        }
    }

    private int getDelay(){
        return delay;
    }

    private void delay(){
        try{
            Thread.sleep(getDelay());
        }
        catch(Exception e){
        }
    }

    private JLabel getRGB(){
        return rgb;
    }

    private JPanel getDisplay(){
        return display;
    }

    private int delay = 500;

    private final JPanel display = new JPanel();
    {
        display.setLayout(new FlowLayout());
    }
    private final JLabel rgb = new JLabel("R=??? G=??? B=???",JLabel.CENTER);
    {
        display.add(rgb,"South");
    }
}
