import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;

        // Display listContents in a JList. Monitor selection
        // and deselection of items in the list.
class SwingListFrame1 extends JFrame {
    public SwingListFrame1(Object[] listContents) {
        final int width = 300, height = 200;
        setSize(width,height);
        Container contents = getContentPane();

        // Display a title.
        contents.add(new JLabel("Select Your Courses",JLabel.CENTER),
                     "North");

        // Manage the listContents in a JList.
        final JList list = new JList(listContents);
        // Request a minimum of 6 visible items.
        final int minVisible = 6;
        list.setVisibleRowCount(minVisible);
        // Allow multiple selections.
        list.setSelectionMode(
                ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
        // Detect when items are selected.
        list.addListSelectionListener(new ListEventMonitor());

        // Place the list in a scroll pane.
        contents.add(new JScrollPane(list),"Center");

        contents.add(new QuitJPanel(),"South");
    }

        // A ListSelectionListener that reports changes in a list's
        // selections.
    protected class ListEventMonitor implements ListSelectionListener {
        public void valueChanged(ListSelectionEvent e){
            // The list that has been changed.
            JList listSource = (JList) e.getSource();
            // Gain access to the list data.
            ListModel data = listSource.getModel();
            // Get the boundaries of the change.
            final int first = e.getFirstIndex(), last = e.getLastIndex();
            if(first < 0){
                // Initial `deselection'.
            }
            else if(first == last){
                String item = data.getElementAt(first).toString();
                if(listSource.isSelectedIndex(first)){
                    System.out.println(item+" selected.");
                }
                else{
                    System.out.println(item+" deselected.");
                }
            }
            else{
                String top = data.getElementAt(first).toString(),
                       bottom = data.getElementAt(last).toString();
                if(listSource.isSelectedIndex(first)){
                    System.out.println("Selection between: "+top+
                                       " and "+bottom);
                }
                else{
                    System.out.println("Deselection between: "+top+
                                       " and "+bottom);
                }
            }
        }
    }
}
