        // Illustration of how a Race Hazard can occur.
        // By the time a user has responded to the ATM's
        // prompt to withdraw money, a further debit might
        // have been made, preventing withdrawal of the
        // full offered amount.

class RaceHazard {
    public static void main(String[] args){
        // Access to this account is shared by three threads.
        Account acc = new UnsafeAccount();

        // Make regular debits of a given amount.
        new Thread(new DirectDebit(acc)).start();
        // Make regular deposits into the account.
        new Thread(new Saver(acc)).start();
        // Allow the user to withdraw money interactively.
        new Thread(new ATM(acc)).start();
    }
}
